{% extends 'core/base.html' %}

{% block js %}
<script>
    function eliminarProducto(id) {
            Swal.fire({
                "text": "¿Desea eliminar?. Esta acción no se puede deshacer",
                "icon":"question",
                "showCancelButton":true,
                "cancelButtonText":"No, Cancelar",
                "confirmButtonText":"Sí, Eliminar",
                "reverseButtons":true,
                "confirmButtonColor":"#dc3545",
            })
            .then(function(result) {
                if(result.isConfirmed) {
                window.location.href = "/eliminar/"+id+"/";
                }
            })
    }
</script>

{% endblock %}


{% block contenido %}
{% load humanize %}

<div class="card">
    <div class="card-body">
        <h2>Listado de Productos</h2>
        <hr>
        <table class="table table-striped table-hover table-responsive-sm">
            <tr>
                <th>Nombre</th>
                <th>Precio</th>
                <th>Artista</th>
                <th>¿Nuevo?</th>
                <th>Acción</th>
            </tr>
            
            {% for p in productos %}
            
            <tr>
                <td>{{ p.nombre | title }}</td>
                <td>$ {{ p.precio | intcomma }}</td>
                <td>{{ p.artista | title }}</td>
                <td>
                    {% if p.nuevo %}
                    SI
                    {% else %}
                    NO
                    {% endif %}
                </td>

                <td>
                    {% if perms.core.change_producto %}
                    <a href="{% url 'editar_producto' p.id %}" class="btn btn-info btn-sm">Editar</a>
                    {% endif %}
                    {% if perms.core.delete_producto %}
                    <a href="#" onclick="eliminarProducto({{ p.id }})" class="btn btn-danger btn-sm">Eliminar</a>
                    {% endif %}
                </td>
            </tr>
                
            {% endfor %}
        </table>
        <div>
            {% include 'core/paginator.html' %}
        </div>
    </div>
</div>


{% endblock %}